Create with WPMU 2.6.5 or wait for 2.7?

Greetings!
I'm creating a wordpress-mu system from scratch and will use most of the WPMU DEV Premium plugins, themes and multi-db.

Should I create it all right now using WPMU 2.6.5 or should I wait for WPMU 2.7 to be released?

How long will it take before the premium material has support for WPMU 2.7?

Are there any special problems with upgrading from WPMU 2.6.5 to WPMU 2.7?